toolzerhub API Docs

List TikTok Shop bought-together

Returns the 'frequently bought together' products shown in search results for keyword. Often empty, because not every search has a bundling signal. region supports US only.

1 credit / requestBilled only on success
GET
/v1/tiktok-shop/search/frequently-bought-together

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

keyword*string

Search text, for example a product name.

Length1 <= length
region?"US"

Storefront region. This endpoint supports US. For keyword search in SG/MY/PH/TH/VN, use /v2/tiktok-shop/products/search.

Default"US"

Value in

  • "US"
curl -X GET "https://example.com/v1/tiktok-shop/search/frequently-bought-together?keyword=wireless+earbuds" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "products": [      {        "product_id": "string",        "property1": null,        "property2": null      }    ],    "offset": 0,    "has_more": true,    "load_more_params": {      "property1": null,      "property2": null    },    "property1": null,    "property2": null  }}